Subject: PROBLEMs
From: [email-masked] (Daniel Santos)

1 Jul 1997 10:48:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=BR%a=_%p=PMPA%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.995.52
Original-Sender: [email-masked]

Hello,

	My name is Daniel Santos, I download a copy of win-gnu32 and i have
some problem
that i can't find answers in FAQ. I get a source code that I can compile
it in Linix and have no problem, and when a try to compile it on
wingnu32 I receive 3 erros message.

	A part of source is here:

void    signal_setup(void)
{
   struct itimerval itime;           			<======     35
   struct timeval interval;

   signal(SIGUSR1, reread_wizlists);
   signal(SIGUSR2, unrestrict_game);

   /* just to be on the safe side: */

   signal(SIGHUP, hupsig);
   signal(SIGPIPE, SIG_IGN);
   signal(SIGINT, hupsig);
   signal(SIGALRM, logsig);
   signal(SIGTERM, hupsig);
/*
   signal(SIGSEGV, badcrash);
   signal(SIGBUS, badcrash);
*/
   /* set up the deadlock-protection */

   interval.tv_sec = 900;    /* 15 minutes */
   interval.tv_usec = 0;
   itime.it_interval = interval;
   itime.it_value = interval;*/

   setitimer(ITIMER_VIRTUAL, &itime, 0);            <======  58
   signal(SIGVTALRM, checkpointing);	           <======  59
}

Messages Erros:

signals.c: In function `signal_setup':
signals.c:35: storage size of `itime' isn't known
signals.c:58: `ITIMER_VIRTUAL' undeclared (first use this function)
signals.c:58: (Each undeclared identifier is reported only once
signals.c:58: for each function it appears in.)
signals.c:59: `SIGVTALRM' undeclared (first use this function)
signals.c:59: warning: passing arg 2 of `signal' from incompatible
pointer type

	After that I coment this part of code and compile  in link step a
receive one more fatal 
error message:

	comm.o(.text+0x3ce):comm.c: undefined reference to `srandom'
	act.social.o(.text+0x91c):act.social.c: undefined reference to `random'
	utility.o(.text+0x41):utility.c: undefined reference to `random'
	utility.o(.text+0x75):utility.c: undefined reference to `random'

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".